org.bouncycastle.jce.spec

## Class MQVPublicKeySpec

- java.lang.Object
- - org.bouncycastle.jce.spec.MQVPublicKeySpec

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, java.security.PublicKey, java.security.spec.KeySpec, MQVPublicKey

    public class MQVPublicKeySpec
    extends java.lang.Object
    implements java.security.spec.KeySpec, MQVPublicKey

Static/ephemeral public key pair for use with ECMQV key agreement

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface java.security.PublicKey

`serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`MQVPublicKeySpec(java.security.PublicKey staticKey, java.security.PublicKey ephemeralKey)`

### Method Summary

Methods
`java.lang.String` `getAlgorithm()` return "ECMQV"
`byte[]` `getEncoded()` returns null
`java.security.PublicKey` `getEphemeralKey()` return the ephemeral public key
`java.lang.String` `getFormat()` return null
`java.security.PublicKey` `getStaticKey()` return the static public key

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MQVPublicKeySpec

    public MQVPublicKeySpec(java.security.PublicKey staticKey,
                    java.security.PublicKey ephemeralKey)

Parameters:
  `staticKey` - the static public key.
  `ephemeralKey` - the ephemeral public key.

### Method Detail

#### getStaticKey

    public java.security.PublicKey getStaticKey()

return the static public key

Specified by:
  `getStaticKey` in interface `MQVPublicKey`

#### getEphemeralKey

    public java.security.PublicKey getEphemeralKey()

return the ephemeral public key

Specified by:
  `getEphemeralKey` in interface `MQVPublicKey`

#### getAlgorithm

    public java.lang.String getAlgorithm()

return "ECMQV"

Specified by:
  `getAlgorithm` in interface `java.security.Key`

#### getFormat

    public java.lang.String getFormat()

return null

Specified by:
  `getFormat` in interface `java.security.Key`

#### getEncoded

    public byte[] getEncoded()

returns null

Specified by:
  `getEncoded` in interface `java.security.Key`